import { WriteInfo } from '..';
import { SourceComponent } from '../../resolve';
import { BaseMetadataTransformer } from './baseMetadataTransformer';
export declare class StaticResourceMetadataTransformer extends BaseMetadataTransformer {
    static readonly ARCHIVE_MIME_TYPES: Set<string>;
    private static readonly DEFAULT_CONTENT_TYPE;
    private static readonly FALLBACK_TYPE_MAP;
    toMetadataFormat(component: SourceComponent): Promise<WriteInfo[]>;
    toSourceFormat(component: SourceComponent, mergeWith?: SourceComponent): Promise<WriteInfo[]>;
    private getBaseContentPath;
    /**
     * "Expanded" refers to a component whose content file is a zip file, and its current
     * state is unzipped.
     */
    private componentIsExpandedArchive;
    private createWriteInfosFromArchive;
    private getContentType;
    private getExtensionFromType;
}
