import { SourcePath } from '../common';
export declare class ForceIgnore {
    static readonly FILE_NAME = ".forceignore";
    private readonly parser;
    private readonly forceIgnoreDirectory;
    private readonly contents?;
    private DEFAULT_IGNORE;
    constructor(forceIgnorePath?: string);
    /**
     * Performs an upward directory search for a `.forceignore` file and returns a
     * `ForceIgnore` object based on the result. If there is no `.forceignore` file,
     * the returned `ForceIgnore` object will accept everything.
     *
     * @param seed Path to begin the `.forceignore` search from
     */
    static findAndCreate(seed: SourcePath): ForceIgnore;
    denies(fsPath: SourcePath): boolean;
    accepts(fsPath: SourcePath): boolean;
}
